/* removing default margin and padding from page*/

@font-face {
    font-family: "Flood";
    src: url("../fonts/Flood.ttf");
    font-style: normal;
    font-weight: normal;
}

body {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}


/* heading of page default mobile resolution */

.heading {
    text-align: center;
    font: Bold 18px/22px Helvetica;
    letter-spacing: 0;
    color: #354463;
    opacity: 1;
    padding: 21px 0 19px 0;
    margin: 0 auto;
    font-family: Helvetica, Arial, sans-serif;
}


/* media query for heading tablet */

@media(min-width:768px) and (max-width:992px) {
    .heading {
        font-size: 22px;
        line-height: 27px;
    }
}


/* media query for heading desktop */

@media(min-width:993px) {
    .heading {
        font-size: 28px;
        line-height: 35px;
    }
}


/* donation  division */

.donation-div {
    background-image: url(../images/donation/annie-spratt-427340-unsplash-\(1\).png);
    background-size: cover;
    padding-bottom: 32px;
}

.give-hope-div {
    margin: 0;
}

.give-hope-text {
    text-align: center;
    font: 32px/46px Flood;
    letter-spacing: 0;
    color: #FFFFFF;
    opacity: 1;
    margin: 0;
    padding: 31px 15vw 32px 15vw;
}

.donation-form-container {
    background-color: #354463;
    width: 82.98%;
    margin: 0 auto;
    padding-bottom: 61px;
}

.your-information-container {
    padding-bottom: 23px;
}

.head-in-donation-form {
    text-align: left;
    font: Bold 22px/28px Helvetica;
    letter-spacing: 0;
    color: #FFFFFF;
    opacity: 1;
    padding: 31px 32px 0 7vw;
    margin: 0;
    font-family: Helvetica, Arial, sans-serif;
}

.name-box {
    display: flex;
}

.input-head {
    text-align: left;
    font: 11px/13px Helvetica;
    letter-spacing: 0.44px;
    color: #FFFFFF;
    opacity: 1;
    padding: 32px 0 0 7vw;
    margin: 0;
    font-family: Helvetica, Arial, sans-serif;
}

.input-space {
    width: 58%;
    margin: 0 0 0 7vw;
    background-color: #354463;
    border-style: none none solid none;
    border-color: #C1F7D5;
    padding: 9px 0px 1vw 0;
}

.first-name {}

.last-name {}

.street-address {}

.place-info {
    display: flex;
}

.city {}

.place {}

.zip-code {}

.email-address {}

.payment-information-container {}

.card-number {}

.expiry-date-cvv-box {
    display: flex;
}

.expiry-date {}

.cvv {}

.cvv {}

.conform-payment-text {
    text-align: left;
    font: Bold 18px/22px Helvetica;
    letter-spacing: 0;
    color: #FFFFFF;
    opacity: 1;
    padding: 32px 32px 41px 31px;
    font-family: Helvetica, Arial, sans-serif;
}

.conform-payment-button {
    display: flex;
    text-align: left;
    font: Bold 16px/20px Helvetica;
    letter-spacing: 0;
    color: #354463;
    border-radius: 100px;
    opacity: 1;
    background-color: #C1F7D5;
    padding: 18px 52px 15px 64px;
    margin: 0 auto;
    border: none;
    font-family: Helvetica, Arial, sans-serif;
}

@media(min-width:778px) and (max-width:992px) {
    .donation-div {}
    .give-hope-text {
        font-size: 44px;
    }
    .head-in-donation-form {
        font-size: 28px;
    }
    .input-head {
        font-size: 14px;
    }
    .input-space {
        font-size: 20px;
        padding-bottom: 10px;
    }
    .conform-payment-text {
        font-size: 28px;
        line-height: 38px;
        padding: 32px 10vw 41px 10vw;
    }
}


/* media query for desktop donation form form */

@media(min-width:993px) {
    .donation-div {
        background-image: url(../images/donation/annie-spratt-427340-unsplash-desktop.png);
        display: flex;
        flex-direction: row-reverse;
        background-size: cover;
        padding-bottom: 32px;
    }
    .donation-form-container {
        margin: 5.55% 0 0 11.11%;
    }
    .place-info {
        width: 88%;
    }
    .head-in-donation-form {
        font-size: 28px;
    }
    .input-head {
        font-size: 14px;
    }
    .input-space {
        font-size: 20px;
    }
    .give-hope-text {
        padding: 13% 24% 0px 24%;
        font-size: 331%;
        line-height: 50px;
    }
    .give-hope-div {
        width: 72%;
    }
    .conform-payment-text {
        font-size: 28px;
        line-height: 39px;
        padding: 2vw 2vw 1vw 7vw;
    }
    .conform-payment-button {
        margin-right: 7vw;
    }
}


/* contact us css */

.contact-us {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr 1fr;
}

.green-tree-text {
    grid-column: 1/2;
    grid-row: 1/2;
    text-align: left;
    font: Bold 18px/22px Helvetica;
    letter-spacing: 0;
    color: #354463;
    opacity: 1;
    padding: 67px 33px 0px 32px;
    font-family: Helvetica, Arial, sans-serif;
}

.contact-us-details {
    grid-column: 2/3;
    grid-row: 1/2;
    text-align: left;
    font-size: 14px;
    letter-spacing: -0.14px;
    color: #354463;
    opacity: 1;
    padding: 68px 0 0 0;
    font-family: Helvetica;
    line-height: 22px;
    font-family: Helvetica, Arial, sans-serif;
}

.follow-us {
    font-size: 14px;
    letter-spacing: -0.14px;
    color: #354463;
    opacity: 1;
    padding: 40px 29px 0 32px;
    font-family: Helvetica;
    grid-column: 1/2;
    grid-row: 2/3;
    text-align: left;
    line-height: 22px;
    font-family: Helvetica, Arial, sans-serif;
}

.learn-more {
    grid-column: 2/3;
    grid-row: 2/3;
    text-align: left;
    font-family: Helvetica;
    font-size: 14px;
    letter-spacing: -0.14px;
    color: #354463;
    opacity: 1;
    padding: 40px 10px 0 0;
    line-height: 22px;
    font-family: Helvetica, Arial, sans-serif;
}

.stop-climate-change-logo {
    grid-column: 1/3;
    grid-row: 3/4;
    text-align: right;
    font-family: Flood;
    font-size: 44px;
    letter-spacing: 0;
    color: #354463;
    opacity: 1;
    margin-right: 31px;
}


/*css for footer/contact us section desktop version*/

@media(min-width:993px) {
    .contact-us {
        display: flex;
        padding-bottom: 6rem;
    }
    .green-tree-text {
        width: 19%;
    }
    .contact-us-details {
        align-self: flex-start;
        padding: 3rem 1rem 0 -1rem;
        width: 17%;
    }
    .follow-us {
        width: 17%;
        padding: 4rem 0 0 3rem;
    }
    .learn-more {
        width: 12%;
        padding: 4rem 0 0 0;
    }
    .stop-climate-change-logo {
        width: 25%;
        display: flex;
        align-items: center;
        text-align: end;
        justify-content: flex-end;
        margin-top: 64px;
    }
}


/* media query for footer/ contact us section tablet version */

@media(min-width:768px) and (max-width:992px) {
    .contact-us {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        grid-template-rows: 1fr 1fr;
        padding-bottom: 50px;
    }
    .green-tree-text {
        grid-column: 1/2;
        grid-row: 1/3;
        padding: 60px 37px 0rem 64px;
        font-size: 22px;
        line-height: 27px;
    }
    .contact-us-details {
        grid-column: 2/3;
        grid-row: 1/2;
        padding: 66px 96px 0 2rem;
    }
    .follow-us {
        grid-column: 3/4;
        grid-row: 1/2;
        padding: 64px 0 0 2rem;
        text-decoration: underline;
    }
    .learn-more {
        grid-column: 2/3;
        grid-row: 2/3;
        padding: 2rem 137px 0 31px;
    }
    .stop-climate-change-logo {
        grid-column: 3/4;
        grid-row: 2/3;
        padding: 2rem 75px 0 0;
        font-size: 44px;
    }
}